[arch-commits] Commit in vlc/trunk (5 files)

Eric Belanger eric at archlinux.org
Wed Jul 16 04:26:12 UTC 2008


    Date: Wednesday, July 16, 2008 @ 00:26:12
  Author: eric
Revision: 5461

upgpkg: vlc 0.8.6i-1
    upstream security update (close FS#10903), updated static ffmpeg version (close FS#10872)

Modified:
  vlc/trunk/PKGBUILD
  vlc/trunk/vlc.install
Deleted:
  vlc/trunk/ffmpeg-20071204.patch
  vlc/trunk/vlc.desktop
  vlc/trunk/wx-2.8.patch

-----------------------+
 PKGBUILD              |   32 +++++++++++++-------------------
 ffmpeg-20071204.patch |   14 --------------
 vlc.desktop           |   10 ----------
 vlc.install           |    4 ----
 wx-2.8.patch          |   11 -----------
 5 files changed, 13 insertions(+), 58 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2008-07-16 04:23:04 UTC (rev 5460)
+++ PKGBUILD	2008-07-16 04:26:12 UTC (rev 5461)
@@ -3,10 +3,13 @@
 # Contributor: Sarah Hay <sarahhay at mb.sympatico.ca>
 
 pkgname=vlc
-pkgver=0.8.6h
-_ffmpegver=20071204
-pkgrel=4
+pkgver=0.8.6i
+_ffmpegver=20080715
+pkgrel=1
 pkgdesc="A multi-platform MPEG, VCD/DVD, and DivX player"
+arch=(i686 x86_64)
+url="http://www.videolan.org/vlc/"
+license=('GPL')
 depends=('libmad>=0.15.1b-2' 'libmpeg2>=0.4.0b-3'
          'wxgtk-2.6>=2.6.4' 'hal>=0.5.9.1' 'libid3tag>=0.15.1b-2' 'bash>=3.1'
          'libdvbpsi4>=0.1.5' 'fribidi>=0.10.7' 'sysfsutils>=2.0.0'
@@ -14,20 +17,14 @@
          'libmatroska>=0.8.0' 'libxv>=1.0.1' 'libcdio>=0.78.2' 'desktop-file-utils'
          'lame' 'sdl' 'libvorbis' 'a52dec' 'faad2' 'faac' 'zlib' 'imlib2'
          'x264>=20080625' 'libtheora' 'libdca')
-
-arch=(i686 x86_64)
-license=('GPL')
-url="http://www.videolan.org/vlc/"
 #Note: These build plugins, so I guess they'd be runtime depends
 makedepends=('live-media' 'gnome-vfs' 'mesa' 'sdl_image' 'libmpcdec' 'speex'
              'libnotify' 'libmodplug' 'lirc-utils' 'ffmpeg')
+options=(force)
 install=${pkgname}.install
 source=(http://download.videolan.org/pub/videolan/vlc/${pkgver}/${pkgname}-${pkgver}.tar.bz2
-        http://gerolde.archlinux.org/~paul/ffmpeg-$_ffmpegver.tar.gz
-        ffmpeg-20071204.patch)
-md5sums=('4a6eece2f56d4ad5dfa786e934d2b4a8' '3d34e511d0466de6feabed85dddbb2a8'\
-         '9297c3487716429192f6185a63da6fd8')
-options=(force)
+        ftp://ftp.archlinux.org/other/ffmpeg/ffmpeg-$_ffmpegver-14236.tar.bz2)
+md5sums=('3c90520c9f22a68d287458d5a8af989e' '899ee3dd56a779b1152e48a94fde69f0')
 
 build() {
      cd $startdir/src/ffmpeg || return 1
@@ -35,9 +32,9 @@
      # configure
      ./configure \
           --enable-gpl \
+          --enable-postproc \
           --enable-libmp3lame \
           --enable-libvorbis \
-          --enable-pp \
           --enable-libfaac \
           --enable-libfaad \
           --enable-liba52 \
@@ -45,7 +42,6 @@
           --enable-libx264 \
           --enable-libtheora \
           --disable-libamr-nb \
-          --enable-pp \
           --enable-shared \
           --enable-pthreads \
           --enable-x11grab \
@@ -55,7 +51,6 @@
      make -j 2 || return 1
 
   cd $startdir/src/${pkgname}-${pkgver}
-  patch -Np1 < ../ffmpeg-20071204.patch
   sed -i -e 's:#include <vlc\/vlc.h>:#include <vlc/vlc.h> \n #include <locale.h>: ' src/misc/charset.c
   sed -i -e 's:/truetype/freefont/FreeSerifBold.ttf:/TTF/VeraBd.ttf:' modules/misc/freetype.c
 
@@ -66,16 +61,15 @@
   # this has to be in sync with how ffmpeg was configured above
   export LDFLAGS_ffmpeg="-lfaad -la52 -lxvidcore -lmp3lame -lx264"
 
-
-  ./configure --prefix=/usr --enable-dvdread --enable-dvdnav --enable-madi \
+  LDFLAGS="${LDFLAGS} -lbz2" ./configure --prefix=/usr --enable-dvdread --enable-dvdnav --enable-madi \
     --enable-ffmpeg --disable-rpath --enable-wxwidgets --enable-faad \
     --enable-alsa --enable-skins2 --enable-livedotcom --enable-dvb --enable-theora \
     --enable-dmo --with-livedotcom-tree=/usr/lib/live-media \
     --with-ffmpeg-faac --with-ffmpeg-vorbis --with-ffmpeg-dts \
     --with-ffmpeg-ogg --with-ffmpeg-theora --with-ffmpeg-tree=$startdir/src/ffmpeg/ \
-     --with-ffmpeg-config-path=$startdir/src/ffmpeg/ \
+    --with-ffmpeg-config-path=$startdir/src/ffmpeg/ \
     --enable-v4l --enable-lirc \
-    --with-wx-config=wx-config-2.6 ${EXTRAFEATURES}
+    --with-wx-config=wx-config-2.6 ${EXTRAFEATURES} || return 1
   make || return 1
   make DESTDIR=${startdir}/pkg install || return 1
 

Deleted: ffmpeg-20071204.patch
===================================================================
--- ffmpeg-20071204.patch	2008-07-16 04:23:04 UTC (rev 5460)
+++ ffmpeg-20071204.patch	2008-07-16 04:26:12 UTC (rev 5461)
@@ -1,14 +0,0 @@
---- a/modules/codec/ffmpeg/mux.c
-+++ b/modules/codec/ffmpeg/mux.c
-@@ -133,7 +133,11 @@ int E_(OpenMux)( vlc_object_t *p_this )
-         return VLC_EGENERIC;
-     }
- 
-+#if LIBAVFORMAT_VERSION_INT >= ((52<<16)+(0<<8)+0)
-+       p_sys->oc->pb = &p_sys->io;
-+#else
-     p_sys->oc->pb = p_sys->io;
-+#endif
-     p_sys->oc->nb_streams = 0;
- 
-     p_sys->b_write_header = VLC_TRUE;

Deleted: vlc.desktop
===================================================================
--- vlc.desktop	2008-07-16 04:23:04 UTC (rev 5460)
+++ vlc.desktop	2008-07-16 04:26:12 UTC (rev 5461)
@@ -1,10 +0,0 @@
-[Desktop Entry]
-Type=Application
-Encoding=UTF-8
-Name=VLC Media Player
-Comment=VideoLAN Client Media Player
-Icon=vlc.png
-TryExec=vlc
-Exec=vlc
-Terminal=false
-Categories=AudioVideo;Player;

Modified: vlc.install
===================================================================
--- vlc.install	2008-07-16 04:23:04 UTC (rev 5460)
+++ vlc.install	2008-07-16 04:26:12 UTC (rev 5461)
@@ -10,7 +10,3 @@
 post_remove() {
   post_install $1
 }
-
-op=$1
-shift
-$op $*

Deleted: wx-2.8.patch
===================================================================
--- wx-2.8.patch	2008-07-16 04:23:04 UTC (rev 5460)
+++ wx-2.8.patch	2008-07-16 04:26:12 UTC (rev 5461)
@@ -1,11 +0,0 @@
---- vlc-0.8.6a.orig/modules/gui/wxwidgets/dialogs.cpp
-+++ vlc-0.8.6a/modules/gui/wxwidgets/dialogs.cpp
-@@ -380,7 +380,7 @@
-     {
-         p_file_generic_dialog->SetMessage( wxU(p_arg->psz_title) );
-         p_file_generic_dialog->SetWildcard( wxU(p_arg->psz_extensions) );
--        p_file_generic_dialog->SetStyle( (p_arg->b_save ? wxSAVE : wxOPEN) |
-+        p_file_generic_dialog->SetWindowStyle( (p_arg->b_save ? wxSAVE : wxOPEN) |
-                                          (p_arg->b_multiple ? wxMULTIPLE:0) );
-     }
-





More information about the arch-commits mailing list